//
//  AppDelegate.swift
//  ReviewsApp
//
//  Created by Dmitrii Ivanov on 21/07/2020.
//  Copyright © 2020 ING. All rights reserved.
//

import ReviewsCoordinationKit
import ReviewsFeed
import UIKit

@UIApplicationMain
class AppDelegate: UIResponder {
    
    // MARK: Properties
    var coordinator: AppCoordinator?
    var window: UIWindow?
    
}

// MARK: - UIApplicationDelegate
extension AppDelegate: UIApplicationDelegate {
    
    // MARK: Functions
    func application(
        _ application: UIApplication,
        didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?
    ) -> Bool {
        window = UIWindow(frame: UIScreen.main.bounds)
        coordinator = .init(router: WindowRouter(window))

        guard let coordinator else {
            fatalError("AppCoordinator should have been instantiated")
        }
        
        coordinator.present(animated: false)
        coordinator.present(
            child: FeedListCoordinator(
                configuration: .init(session: .ephemeral),
                router: StackRouter(coordinator.navigationController)
            ),
            animated: false
        )
        
        return true
    }
    
}
