//
//  AppCoordinator.swift
//  App
//
//  Created by Javier Cicchelli on 21/03/2024.
//  Copyright © 2024 Röck+Cöde. All rights reserved.
//

import Foundation
import ReviewsCoordinationKit
import ReviewsFeed
import UIKit

final class AppCoordinator: Coordinator {

    // MARK: Constants
    let router: any Router
    
    // MARK: Properties
    var children: [any Coordinator] = []
    
    lazy var navigationController = UINavigationController()
    
    // MARK: Initialisers
    init(router: any Router) {
        self.router = router
    }
    
    // MARK: Functions
    func present(
        animated: Bool,
        onDismiss: Router.OnDismissClosure? = nil
    ) {
        router.present(
            navigationController,
            animated: false
        )
    }
    
}
