//
//  Array+ReviewDTOs.swift
//  ReviewsFeed
//
//  Created by Javier Cicchelli on 22/03/2024.
//  Copyright © 2024 Röck+Cöde. All rights reserved.
//

import Foundation
import ReviewsFeedKit

extension Array where Element == ReviewsFeedKit.Review {
    
    // MARK: Constants
    static let none: [ReviewsFeedKit.Review] = []

    static let sample: [ReviewsFeedKit.Review] = [
        .init(
            id: 1,
            author: "Some author name #1 here",
            title: "Some review title #1 goes here...",
            content: "Some long, long, explanatory review comment #1 goes here...",
            rating: 3,
            version: "v1.0.0",
            updated: .init()
        ),
        .init(
            id: 2,
            author: "Some author name #2 here",
            title: "Some review title #2 goes here...",
            content: "Some long, long, explanatory review comment #2 goes here...",
            rating: 5,
            version: "v1.0.0",
            updated: .init()
        ),
        .init(
            id: 3,
            author: "Some author name #3 here",
            title: "Some review title #3 goes here...",
            content: "Some long, long, explanatory review comment #3 goes here...",
            rating: 1,
            version: "v1.0.0",
            updated: .init()
        ),
        .init(
            id: 4,
            author: "Some author name #4 here",
            title: "Some review title #4 goes here...",
            content: "Some long, long, explanatory review comment #4 goes here...",
            rating: 4,
            version: "v1.0.0",
            updated: .init()
        ),
        .init(
            id: 5,
            author: "Some author name #5 here",
            title: "Some review title #5 goes here...",
            content: "Some long, long, explanatory review comment #5 goes here...",
            rating: 2,
            version: "v1.0.0",
            updated: .init()
        ),
    ]
    
}
