//
//  FeedItemCoordinator.swift
//  ReviewsFeed
//
//  Created by Javier Cicchelli on 21/03/2024.
//  Copyright © 2024 Röck+Cöde. All rights reserved.
//

import Foundation
import ReviewsCoordinationKit

public final class FeedItemCoordinator: Coordinator {

    // MARK: Constants
    public let router: any Router
    
    private let item: Review
    
    // MARK: Properties
    public var children: [any Coordinator] = []
    
    public init(
        item: Review,
        router: any Router
    ) {
        self.item = item
        self.router = router
    }

    // MARK: Functions
    public func present(
        animated: Bool,
        onDismiss: Router.OnDismissClosure? = nil
    ) {
        router.present(
            FeedItemViewController(item),
            animated: animated,
            onDismiss: onDismiss
        )
    }
    
}
