//
//  Router.swift
//  ReviewsCoordinationKet
//
//  Created by Javier Cicchelli on 21/03/2024.
//  Copyright © 2024 Röck+Cöde. All rights reserved.
//

import UIKit

public protocol Router: AnyObject {
    
    // MARK: Type aliases
    typealias OnDismissClosure = () -> Void
    
    // MARK: Functions
    func present(
        _ viewController: UIViewController,
        animated: Bool,
        onDismiss: OnDismissClosure?
    )

    func dismiss(animated: Bool)
    
}

// MARK: - Implementations
public extension Router {
    
    // MARK: Functions
    func present(
        _ viewController: UIViewController,
        animated: Bool
    ) {
        present(
            viewController,
            animated: animated,
            onDismiss: nil
        )
    }
    
}
