//
//  WindowRouter.swift
//  ReviewsCoordinationKit
//
//  Created by Javier Cicchelli on 21/03/2024.
//  Copyright © 2024 Röck+Cöde. All rights reserved.
//

import UIKit

public class WindowRouter: Router {
    
    // MARK: Constants
    private let window: UIWindow?
    
    // MARK: Initialisers
    public init(_ window: UIWindow?) {
        self.window = window
    }
    
    // MARK: Functions
    public func present(
        _ viewController: UIViewController,
        animated: Bool,
        onDismiss: OnDismissClosure? = nil
    ) {
        window?.rootViewController = viewController
        window?.makeKeyAndVisible()
    }
    
    public func dismiss(animated: Bool) {
        // Nothing to do here...
    }
    
}
